---
layout: single
title: "History Surrounding Self-Sovereign, Decentralized, Identity."
description: "Starting with David Chaum in the 80s, PGP, the International Planetwork Conference, Agenda for Sustainable Development, GDPR, and Bitcoin to the Present."
header:
  image: "https://infominer.id/DIDecentralized/assets/img/history-user-centric-identity.png"
twitter:
  card: "summary_large_image"

---



## Contents
* [Losing Control over our Personal Information](#losing-control-over-our-personal-information) '80s
* [PGP - Web of Trust](#pgp---web-of-trust) '91
* [International Planetwork Conference](#international-planetwork-conference) '00s
* [XNS Public Trust Organization](#xns-public-trust-organization)
* [The Augmented Social Network](#the-augmented-social-network) '03
* [IDCommons](#idcommons) '01
* [Identity Gang](#identity-gang) '04
  * [Kim Cameron - Laws of Identity](#kim-cameron---laws-of-identity) 
* [Internet Identity Workshop—IIW](#internet-identity-workshop) '05
* [W3C Credentials Community Group](#w3c-credentials-community-group) '14 
* [Bitnation](#bitnation) '15
* [The United Nations Sustainable Development Goals](#the-united-nations-sustainable-development-goals) '15
* [#Rebooting-Web-of-Trust (RWoT)](#rebooting-the-web-of-trust) 
* [Evernym](#evernym)
* [ID2020 and the GDPR](#id2020-and-the-gdpr) '16
* [The End of 2016](#the-end-of-2016)
* [Decentralized Identity Foundation](#decentralized-identity-foundation) '17
* [Standards History](#standards-history)
* [Resources](#resources)



## Losing Control Over our Personal Information

![](assets/img/chaum-security-without-identification-big-brother.png)

* [Security without Identification: Transaction Systems to Make Big Brother Obsolete](https://www.cs.ru.nl/~jhh/pub/secsem/chaum1985bigbrother.pdf) - David Chaum, 1985.
  * The large-scale automated transaction systems of the near future can be designed to protect the privacy and maintain the security of both individuals and organizations. 
    > Computerization is robbing individuals of the ability to monitor and control the ways information about them is used. As organizations in both the private and the public sectors routinely exchange such informa- tion, individ.uals have no way of knowing if the information is inaccurate, obsolete, or otherwise inap- propriate. The foundation is being laid for a dossier society, in which computers could be used to infer individuals’ life-styles, habits, whereabouts, and asso- ciations from data collected in ordinary consumer transactions. Uncertainty about whether data will re- main secure against abuse by those maintaining or tapping it can have a “chilling effect,” causing people to alter their observable activities. As computerization becomes mclre pervasive, the potential for these prob- lems will grow dramatically.

* [Information Technology and Dataveillance](http://www.rogerclarke.com/DV/CACM88.html) - Roger Clarke, 1988.
  > The concept of 'dataveillance' is introduced, and defined as the systematic monitoring of people's actions or communications through the application of information technology. Dataveillance's origins are traced, and an explanation provided as to why it is becoming the dominant means of monitoring individuals and populations.
  >
  > The paper identifies, classifies and describes the various dataveillance techniques. It then examines the benefits, and especially the dangers, arising from dataveillance. It considers the intrinsic and extrinsic controls that act to keep the application of dataveillance under control, and suggests some appropriate policy measures. 

## PGP - Web of Trust

[![](https://i.imgur.com/sMV9PE4.png)](https://www.philzimmermann.com/EN/essays/WhyIWrotePGP.html)

Phil [Zimmerman creates PGP](https://www.philzimmermann.com/EN/essays/WhyIWrotePGP.html), 1991. 
  * First time strong encryption widely available to general public. 
  * PGP’s web-of-trust provide early foundation for SSI. However, PGP is known as difficult to use and failed to reach wide adoption for personal communication\identification.

* [PGP -Web of Trust -linux.com](https://www.linux.com/learn/pgp-web-trust-core-concepts-behind-trusted-communication)

## International Planetwork Conference

![](https://i.imgur.com/RfKqBP9.png)

The first International [Planetwork](https://planetwork.net/about.html) Conference -  Global Ecology and Information Technology, San Francisco, May 2000.

The community that developed around the Planetwork conferences, including [Linktank](https://planetwork.net/linktank.html), form an intellectual foundation for what became Self Sovereign Identity.

## XNS Public Trust Organization

![](https://i.imgur.com/BNpzEkE.png)

XNS Public Trust Organization. Founded in July 2000, shortly after Planetwork Conference. -[xdi.org - History](http://xdi.org/?page_id=13)

> to promote the concept of individuals owning their own digital identity and data based on a nascent technology being produced by two Technical Committees at OASIS: XRI (Extensible Resource Identifier) and XDI (Extensible Data Interchange).

## Augmented Social Network

![](https://i.imgur.com/B5Bja7O.png)

* *[The Augmented Social Network](http://asn.planetwork.net/): Building Identity and Trust into the Next-Generation Internet,* presented at the June 2003 Planetwork conference and published in [First Monday](http://www.uic.edu/htbin/cgiwrap/bin/ojs/index.php/fm/article/view/1068/988) the Peer-Reviewed Journal on the Internet 8/4/03.
  >"[This paper](http://asn.planetwork.net/asn-archive/AugmentedSocialNetwork.pdf) proposes the creation of an Augmented Social Network (ASN) that would build identity and trust into the architecture of the Internet"

## IDCommons

![](https://i.imgur.com/AOw2oXx.png)

The [Identity Commons](http://wiki.idcommons.net/History) (2001-Present) was originally created by Owen Davis and Andrew Nelson in 2001 to evangelize the creation of a decentralized user-centric identity infrastructure and to address the resulting social trust issues. 

* Kaliya Young began working with Identity Commons following June 2004 Planetwork Conference. Working with Social Physics team, led by Paul Trevithick and Mary Ruddy, and included Doc Searls and Phil Windley, they wove a community around user-centric id that came together at the Digital Identity World conference, of 2004. 

Resuling in a mailing list:
* [community@lists.idcommons.net](https://lists.idcommons.net/lists/info/community)
  > The general community mailing list for Identity Commons. The list is also called the Identity Gang mailing list and was formerly idworkshop at googlegroups.

## Identity Gang

![](https://i.imgur.com/xbfK3EF.png)

* [The original identity gang](https://www.idcommons.org/the-original-identity-gang/)
  Doc Searls invited identity leaders to appear on the Gilmore Gang podcast, where the name "Identity Gang" was coined.
  
  At the encouragement of Doc Searls, a number of people began blogging about user-centric identity. 

 * [The Gillmor Gang - December 31, 2004](http://web.archive.org/web/20130729213722id_/https://itc.conversationsnetwork.org/shows/detail394.html) Featuring:
  > * Steve Gillmor, contributing editor, ZDNet
  > * Doc Searls, senior editor, Linux Journal
  > * Craig Burton, founding member, Novell; co-founder, The Burton Group
  > * Kim Cameron, Microsoft's Architect of Identity and Access Systems 
  > * Dave Winer, father of RSS and more
  > * Marc Canter, Broadband Mechanics
  > * Bryan Field-Elliot, CTO, Ping Identity Corporation 
  > * Phil Windley, Brigham Young University 
  > * Drummond Reed, CTO, Cordance 



  "Their most important contribution may have been the creation, in association with the Identity Gang, of the Internet Identity Workshop (2005-Present) working group." -[*Path to Self Sovereign Identity*](http://www.lifewithalacrity.com/2016/04/the-path-to-self-soverereign-identity.html)

* Paul Trevithick created the [Identity Gang Lexicon](https://web.archive.org/web/20080916112039/wiki.idcommons.net/Lexicon) -2005.


### Kim Cameron - Laws of Identity

[![](https://i.imgur.com/570mUhZ.png)](https://identityblog.com)

* [Kim Cameron Identity Laws](https://channel9.msdn.com/Blogs/scobleizer/Kim-Cameron-Identity-Laws) [[**x**](https://www.identityblog.com/?m=200412)]
  * [Laws of Identity - Whitepaper](https://web.archive.org/web/20080814163727/http://www.identityblog.com/stories/2004/12/09/thelaws.html)



## Internet Identity Workshop
![](https://www.yubico.com/wp-content/uploads/2013/10/IIW-blog.jpg)


In 2005, [Kaliya Young](https://identitywoman.net/)[[**T**](https://twitter.com/IdentityWoman)], [Phil Windley](https://windley.com)[[**T**](https://twitter.com/windley)][[**V**](https://vimeo.com/windley)][[**G**](https://github.com/windley)], [Drummond Reed](https://www.evernym.com/)[[**T**](https://twitter.com/drummondreed)][[**B**](https://equalsdrummond.name/)], and [Doc Searls](http://blogs.harvard.edu/doc/)[[**T**](https://twitter.com/dsearls)][[**B**](https://blogs.harvard.edu/doc)] hosted the first [Internet Identity Workshop](http://www.internetidentityworkshop.com/)(IIW)[[**T**](https://twitter.com/idworkshop)] in Berkeley to discuss "architectural and governance proposals for Internet-wide identity services and their underlying philosophies." -[Announcing IIW 2005](https://identitywoman.net/announcing-the-internet-identity-workshop-iiw2005/)

* [unconference.net](http://unconference.net/)

Since then, the IIW has met bi-anually, actively supporting the development of the identity software-ecosystem, including [OpenID](http://wiki.openid.net)('05), OpenID [2.0](http://wiki.openid.net/w/page/12995215/OpenID%20Authentication%202-1)('06), [OAuth](https://en.wikipedia.org/wiki/OAuth)('10), [FIDO](https://fidoalliance.org/)('13) and OpenID [Connect](https://en.wikipedia.org/wiki/OpenID_Connect)('14). 

---

* Markus Sabadello began work on [Project Danube](https://web.archive.org/web/20101221105543/http://projectdanube.org/), on the  creation of an XDI based personal data store, always under the control of its users, as early as 2010.

---

> Founded in 2011, the [Personal Data Ecosystem](https://www.idcommons.org/working-groups/personal-data-ecosystem-consortium/) Consortium advocates a user-centric approach to managing personal data

![](https://i.imgur.com/wuvo5BG.png)

IIW participants began the effort towards creating a truly [user centric identity](https://www.networkworld.com/article/2304596/access-control/what-is--user-centric--identity-.html), in contrast to identity solutions whos focus has been fulfilling the needs of the enterprise. The pioneers of decentralized identity have long struggled against the "[identity silo paradox](https://www.zdnet.com/article/the-identity-silo-paradox/)," that while the *identerati* continually work on solutions to break up these silos, the enterprise has had a strong financial incentive to retain them.

* [What is IIW?](https://vimeo.com/173562225) [[**ϟ**](https://vimeo.com/207961532)][[**ϟ**](https://www.prweb.com/releases/identitymovie/iiw2017/prweb14161721.htm)] short film about the [identirati](https://www.zdnet.com/article/the-identity-silo-paradox/)[[**ϟ**](https://www.forgerock.com/blog/who-are-the-identerati)] (a term for those working on identity standards for the purpose of breaking up id data silos, dating back to at least 2006).
* [*What is Sovereign Source Authority?*](https://www.moxytongue.com/2012/02/what-is-sovereign-source-authority.html) leads to the term Self Sovereign Identity.
* [Windhover Principles for Digital Identity](https://www.tokencommons.org/Windhover-Principles-for-Digital-Identity-Trust-Data.html)
  * [HubID First to Deploy Windhover Principles and Framework for Digital Identity, Trust and Open Data](https://hubculture.com/hubs/47/news/689/)
* [WEForum - Personal Data: The Emergence of a New Asset Class](http://www3.weforum.org/docs/WEF_ITTC_PersonalDataNewAsset_Report_2011.pdf)

## Respect Network

[Around 2011](https://web.archive.org/web/20121004035433/http://respectnetwork.com/respect-trust-framework), Respect Network began working to promote the idea of personal data clouds for the protection of personal information:

* Respect Network is the world's first trusted personal data network that will let customers and companies connect over direct, personal channels that are always under the customer's control. Every member of the Respect Network agrees to the award-winning Respect Trust Framework so customers can be sure that the privacy and security of their personal data will always be respected.

> The foundation of the Respect Network is the Respect Trust Framework, which was listed with the Open Identity Exchange in May 2011 and honored with the Privacy Award at the 2011 European Identity Conference. This is the umbrella legal contract to which every member (person or business) of the Respect Network agrees when they join the network
  >
  > * The Respect Trust Framework establishes a set of five simple yet universal principles governing the control and protection of identity and personal data­­—principles that operate at a higher level than conventional privacy policies. These five principles can be summed up by “the 5 p’s” in one sentence: A promise of permission, protection, portability, and proof.


## W3C Credentials Community Group

[8/14](https://www.w3.org/community/credentials/charter-20140808/) The [Credentials Community Group](https://www.w3.org/community/credentials/)[[**ϟ**](https://w3c-ccg.github.io/)] forms, hosted by [World Wide Web Consortium(W3C)](https://www.w3.org/)[[**T**](https://twitter.com/w3c)] [[**G**](https://github.com/w3c)] : "to forge a path for a secure, decentralized system of credentials that would empower both individual people and organizations on the Web to store, transmit, and receive digitally verifiable proof of qualifications and achievements." —proposed by [Manu Sporney](http://manu.sporny.org/)[[**T**](https://twitter.com/manusporny)] (of [digitalbazaar.com](https://digitalbazaar.com/))

* [Consensys begins work on uPort](https://medium.com/@ConsenSys/identity-is-defined-in-merriam-s-dictionary-as-who-someone-is-a3d6a69f5fa4) -2015

## Bitnation

9\15 [Bitnation](https://bitnation.co/) "seeks to establish the concept of '*world citizenship*' via a bitcoin based identity, offering '[*Blockchain Emergency IDs*](https://refugees.bitnation.co/)' to refugees. [[**>**](#Bitcoin)]

## The United Nations Sustainable Development Goals

<img src="https://i.imgur.com/6ffztbs.png"/>

The same month, the UN unveiled it's *[Agenda for Sustainable Development](https://sustainabledevelopment.un.org/post2015/transformingourworld)*:
  >* Promote peaceful and inclusive societies for sustainable development, provide access to justice for all and build effective, accountable and inclusive institutions at all levels
  >* Substantially reduce corruption and bribery in all their forms
Develop effective, accountable and transparent institutions at all levels
  >* **By 2030, [provide legal identity for all](https://sustainabledevelopment.un.org/sdg16), including birth registration**
  >* Ensure public access to information and protect fundamental freedoms, in accordance with national legislation and international agreements—(*emphasis mine*)
* [DIGITAL IDENTITY AS A BASIC HUMAN RIGHT](https://impakter.com/digital-identity-basic-human-right/)
* [AID:Tech](https://aid.technology) [[**T**]](https://twitter.com/aidtechnology) — "is a voucher and digital identity solution for refugees. A digital record of a person's identity is stored on a smart card, along with various additional information. Blockchain technology is used to distribute all resources in a highly traceable manner." (another early example of blockchain for humanitarian aide)
* [World Bank - Digital IDs for Development](http://www.worldbank.org/en/events/2015/06/23/digital-ids-for-development)
* [Additional Info on Blockchain and the United Nations](https://infominer.id/research/UnitedNations.html)


## Rebooting the Web Of Trust

In relation to SSI, '[Web of Trust](https://en.wikipedia.org/wiki/Web_of_trust)' is a network of relationships that attest to our identity claims. *Each party attesting to your identity information becomes a strand in your web of trust.*

The first [Rebooting Web of Trust](http://www.WebOfTrust.info)(RWoT)  workshop was held during [November 2015](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust); attracting the likes of Vitalik Buterin, Peter Todd, Gregory Maxwell, Joel Dietz, Christopher Allen, and Jon Callas, [according to Andreas Antonopolis](https://news.bitcoin.com/andreas-antonopoulos-case-reputation-identity-systems/). 

[That workshop](https://github.com/WebOfTrustInfo/), produced 5 technical white papers:\
 [5 WoT-usecases](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/satisfying-real-world-use-cases.pdf) • [Decentralized PKI](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/dpki.pdf) • [Smart Signatures](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/smart-signatures.pdf) • [Creating a New World of Trust](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/whats-the-next-step.pdf)

* [Opportunities Created by the Web of Trust for Controlling and Leveraging Personal Data](https://github.com/WebOfTrustInfo/rwot1-sf/blob/master/final-documents/satisfying-real-world-use-cases.pdf)
  > "Decentralized systems that are engineered to prevent concentrating power as they grow avoid this. They can in fact increase their credibility as more users provide their assessments as input. Protocols and structures that are distributed and self-sovereign also offer significantly improved robustness, portability, and versatility than conventional centralized or escrowed processes — especially when combined with secure cryptography."

* [Rebranding the Web of Trust](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/rebranding-web-of-trust.pdf)
  >The Web of Trust is a buzzword for a new model of decentralized self-sovereign identity. It’s a phrase that dates back almost twenty-five years, the classic definition derives from PGP [...] the vibrant blockchain community is also drawing new attention to the concept we aim to reboot it.


At the end of 2015, the Department of Homeland Security announced that it had funds available for the development of [Blockchain Security and Identity Verification Technologies](https://blog.aniljohn.com/2015/12/federal-gov-funds-for-identity-r-and-d.html).

## Evernym 

![](https://untangled.world/wp-content/uploads/2017/08/everynym-logo-1400x357.png)

* [Evernym](https://www.evernym.com/)[[**T**](https://twitter.com/evernym)] originally created the Sovrin codebase, founded in 2013.
* [Identity System Essentials](https://www.evernym.com/wp-content/uploads/2017/02/Identity-System-Essentials.pdf) 3/16 (Original Evernym Identity WP submitted to ID2020\RWoT workshop) 
* [Outlier Ventures invests in, becomes strategic partner of Evernym](https://coinreport.net/outlier-ventures-invests-becomes-strategic-partner-evernym/)[[**ϟ**](https://outlierventures.io/portfolio/evernym/)]
* [The Three Models of Digital Identity Relationships — How self-sovereign identity (SSI) is different, and why it’s better](https://medium.com/evernym/the-three-models-of-digital-identity-relationships-ca0727cb5186)


## ID2020 and the GDPR

![](https://imgur.com/ymviAssl.png)

* [4/16](https://edps.europa.eu/data-protection/data-protection/legislation/history-general-data-protection-regulation_en) the EU adopted the GDPR to be enacted as law May 2018. 
* [Projects aim for legal identity for everyone - ID2020, ID4D aim to bring legal, binding, digital IDs to all world's citizens](https://www.secureidnews.com/news-item/projects-aims-for-legal-identity-for-everyone/)
* The second RWoT workshop ran in conjunction with the UN's [ID2020](https://id2020.org/) Summit in New York that [May](https://press.pwc.com/News-releases/id2020-to-kick-start-digital-identity-summit-at-un-with-pwc-support./s/9fe11be5-cbd8-486b-b4d2-d798f486d0f2); clearly a significant time for decentralized identity: 
   >1.1 Billion people live without an officially recognized identity — This lack of recognized identification deprives them of protection, access to services, and basic rights. ID2020 is a public-private partnership dedicated to solving the challenges of identity for these people through technology. - id2020.org
* [Identity Crisis: Clear Identity through Correlation](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/final-documents/identity-crisis.pdf)
* [Christopher Allen](http://www.lifewithalacrity.com/)[[**info**](https://christophera.info/)] details the overarching history of internet idenitity standards in his seminal work (submitted to ID2020\RWoT workshop):
  *  **[The Path to Self-Soverereign Identity](http://www.lifewithalacrity.com/2016/04/the-path-to-self-soverereign-identity.html)**[[**ϟ**](https://www.coindesk.com/path-self-sovereign-identity/amp/)] details the history of identity standards leading up to self-sovereign and details the 10 principles of self-sovereign identity.
     > I am part of the team putting together the first ID2020 Summit on Digital Identity at the United Nations
* [Identity System Essentials](https://www.evernym.com/wp-content/uploads/2017/02/Identity-System-Essentials.pdf) 3/16 (Original Evernym Identity WP also submitted to ID2020\RWoT workshop) 


Evident from the other [whitepapers](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/README.md) submitted to the second RWoT Workshop, the DID identifier had begun to emerge:
* [Decentralized Identifiers (DIDs) and Decentralized Identity Management (DIDM)](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/topics-and-advance-readings/DID-Whitepaper.md)
   >"Decentralized Identifiers (DID) stored in a permissioned blockchain enable principals to directly control their own identities with cryptographic proofs and secure, addressable network endpoints. DIDs further enable a Decentralized Identity Management (DIDM) infrastructure that will empower people and organizations to securely and confidentially manage and assert their identities."
* [Requirements for DIDs](https://github.com/WebOfTrustInfo/ID2020DesignWorkshop/blob/master/final-documents/requirements-for-dids.pdf)
   >"Respect Network is conducting a research project for the [U.S. Department of Homeland Security](https://bravenewcoin.com/insights/u-s-department-of-homeland-security-funds-four-blockchain-companies-developing-new-cyber-security-technology), HSHQDC-16-C-00061, to analyze the applicability of blockchain technologies to a decentralized identifier system. Our thesis is that blockchains, or more generically distributed ledgers, are a potentially powerful new tool for “identity roots” — the starting points for an Internet identity. However “blockchain identity” may not fully address the core security and privacy principles needed in a complete identity system. In this case DIDs — Decentralized Identifiers rooted on a distributed ledger — may end up being a foundational building block for higher level identity management solutions. -

## The End of 2016

* [News Release: DHS S&T Awards $1.3 Million to Small Businesses for Cyber Security Research and Development](https://www.dhs.gov/science-and-technology/news/2016/08/12/news-release-dhs-st-awards-13-million-small-businesses-cyber) -2016
  * [Applying Blockchain to Decentralized Identity](https://www.sbir.gov/sbirsearch/detail/1241097) 
    > Respect Network will research and develop a decentralized registry and discovery service for Decentralized Identifiers (DIDs) to integrate with the public blockchain. DIDs will allow principals to directly control their own identities with cryptographic proofs and secure, addressable network endpoints. DIDs will enable a Decentralized Identity Management (DIDM) infrastructure that will empower people and organizations to securely and confidentially manage and assert their identities. Open standards and established industry protocols will permit principals to selectively disclose identity claims, and to manage their privacy and digital relationships. Respect Network's thesis is that the combination of DIDs and DIDM architecture, using public and/or private blockchains as "identity backbones", can meet traditional information security principles of confidentiality, integrity, availability, non-repudiation and provenance. Further, our approach applies privacy-by-design principles, including user control, selective disclosure of information and pseudonymity.
  * [Credentials on Public/Private Linked Ledgers](https://www.sbir.gov/sbirsearch/detail/1241085)
    > A wide variety of applications could benefit from combining identity management technology with decentralized ledgers (aka blockchains). However, not every application uses the same data or requires the same consensus or authorization models. While a single solution is unlikely, we assert each application could benefit from a standard, configurable, decentralized ledger with flexible semantics. We will study the feasibility of this concept by building a proof-of-concept Linked Data ledger format and architecture.


* [Pan Canadian Trust Framework](https://diacc.ca/pan-canadian-trust-framework/) - 2016
  >The Pan-Canadian Trust Framework (PCTF) enables Canada’s full and secure participation in the global digital economy through economic sector innovation and the enablement of modernized digital service delivery. The PCTF supports open government principles.

* Phil Windley [announces formation of the Sovrin Foundation](http://www.windley.com/archives/2016/09/announcing_the_sovrin_foundation.shtml) charged with maintaining its, public-permissioned, distributed ledger for identity, donated by Evernym -September 2016. 
  >Sovrin Foundation is a private-sector, international non-profit established to govern a global public utility for self-sovereign identity.

* MyData founded to give structure to an international movement, promoting the rights of individuals to have control over our personal information - [August, 2016](http://mydata2016.org/)

* Learning Machine working with MIT on an [open standard](https://medium.com/learning-machine-blog/blockchain-credentials-b4cf5d02bbb7) for blockchain credentials for the past year. Led by Chris Jagers, Kim Hamilton Duffy, and John Papinchak their Blockcerts prototype was released in October 2016.


## Decentralized Identity Foundation

On May 22 at Consensus 2017 the formation of the Decentralized Identity Foundation (DIF) [was announced](https://www.ethnews.com/DecentralizedIDentity-foundation-announces-formation-at-consensus-2017):
* [Conensus 2017 - Building an Foundation for Decentralized Identity](https://www.youtube.com/watch?v=l5laRZfn8AI) (video)
* [Decentralized Identity Foundation Grows To 56 Members In Our First Year](https://medium.com/DecentralizedIDentity/DecentralizedIDentity-foundation-grows-to-56-members-in-our-first-year-3ec117e811d8)


## Standards History
![](https://i.imgur.com/XtZQg0j.png)

![](https://i.imgur.com/FBe3S0w.png)

![](https://i.imgur.com/5R51G4Y.png)

![](https://i.imgur.com/xmWkc4l.png)


<a href="https://www.youtube.com/watch?v=RllH91rcFdE">The Story of Open SSI Standards - Drummond Reed/Evernym SSIMeetup.org</a> [<a href="https://www.slideshare.net/SSIMeetup/self-sovereign-identity-ssi-open-standards-with-drummond-reed">**ϟ**</a>]


## Resources
* [A Brief History of Digital Identity](https://medium.com/humanizing-the-singularity/a-brief-history-of-digital-identity-9d6a773bf9f5)
* [A Step Back in Time: The History and Evolution of Digital Identity](https://www.iotevolutionworld.com/iot/articles/410328-step-back-time-history-evolution-digital-identity.htm)
* [Identity Commons-History](http://wiki.idcommons.net/History)
* [IIW-Wiki](https://iiw.idcommons.net/Main_Page)
* [IIW - Past Workshops](https://internetidentityworkshop.com/past-workshops/)
* [identitywoman.net](https://identitywoman.net/)
* [windley.com/tags/identity](http://www.windley.com/tags/identity.shtml)
* [WoTinfo](https://github.com/WebOfTrustInfo/)
* [The Path to Self Sovereign Identity](http://www.lifewithalacrity.com/2016/04/the-path-to-self-soverereign-identity.html)
