# Decentralized Identity Initiatives

## Directory

* [Bitcoin](bitcoin.md)
* [Blockstack](blockstack.md)
* [Blockpass](blockpass.md)
* [Danube](danube.md)
* [Democracy Earth](democracy-earth.md)
* [Digital Bazaar](digital-bazaar.md)
* [Ethereum](ethereum)
  * [Etherem Identity Github Repos](ethereum/eth-id-github.md)
  * [Cryptonomica](ethereum/cryptonomica.md)
  * [uPort](ethereum/uport.md)
* [Handshake](handshake.md)
* [Hyperledger Indy](indy-ecosystem)
  * [Indy Github](indy-ecosystem/indy-github.md)
  * [Literature](indy-ecosystem/literature.md)
  * [VON](indy-ecosystem/VON.md)
  * [Adoption](indy-ecosystem/adoption.md)
* [IBM](ibm.md)
* [Microsoft](microsoft.md)
* [Ontology](ontology.md)
* [Spid-chain](spid-chain.md)

## Assorted Identity Initiatives

* [Identity at Coinbase: Welcoming the Distributed Systems team](https://blog.coinbase.com/identity-at-coinbase-welcoming-the-distributed-systems-team-d929dd64de2e) [[**ϟ**](https://www.wired.com/story/coinbase-distributed-systems-acquisition/)]
* [Shocard](https://shocard.com/) — "Blockchain-Based Mobile Identity Platform" [[**ϟ**](https://medium.com/shocard/why-shocard-is-the-premier-blockchain-based-mobile-identity-platform-6fad15410106)]
* [Authenteq](http://authenteq.com/) [[**T**](https://twitter.com/authenteq)] [[**G**](https://github.com/authenteq)]
  * enables users to create their own sovereign digital IDs which are stored encrypted on [BigChainDB](http://docs.bigchaindb.com)
* [JLinc](https://www.jlinc.com/) — registers cryptographic public keys on the Stellar blockchain. 
   > "The founders have been at the center of a community of developers working on “user-centric digital identity for almost two decades."
* [Civic](https://www.civic.com/) launches: [identity.com](https://identity.com)[[**G**](https://github.com/identity-com/)][[**B**](https://www.civic.com/blog/identity-com-first-open-source-update/)][[**wp**](https://tokensale.civic.com/CivicTokenSaleWhitePaper.pdf)][[**ϟ**](https://www.theblockcrypto.com/2018/12/21/civics-token-illustrates-why-companies-masquerading-tokens-will-fail/)]
  * [Dapp Framework Melo One to use Civic](https://www.cryptoninjas.net/2018/08/30/dapp-framework-menlo-one-to-use-civic-for-blockchain-identity-verification/)
  * [Brave Civic Partnership](https://brave.com/brave-civic-partnership/)
* [I/O Digital Foundation](https://iodigital.io/) [**[**wp**](https://simplebooklet.com/iocoinwhitepaper#page=0)**]
   * "offers a Proof-of-Stake blockchain called Decentralised Input Output Name Server (DIONS). It will enable applications such as identity and alias registration, storage of legal documents, key exchange, and encrypted messaging."
* [Gemalto and R3 pilot blockchain for SSID](https://www.cryptoninjas.net/2018/09/18/gemalto-and-r3-pilot-blockchain-technology-for-self-sovereign-digital-id-network/#.W6drpckvGLU.twitter)
* [Datum](https://datum.org) [[**wp**](https://datum.org/assets/Datum-WhitePaper.pdf)]
   * "network allows anyone to store structured data on a smart contract blockchain. Data can optionally be bought and sold on a marketplace using the DAT token. Datum leverages BigchainDB and IPFS as data storage backends. All data is encrypted and protected using AES256-GCM.
* [Pro-civis](https://procivis.ch) — "e-government as a service" platform called "eID+". It enables citizens to get an official, electronic Citizen-ID on a mobile app. 
   * The platform includes the [Vetri](https://vetri.global/) wallet and marketplace. 'Earn extra income and rewards by joining the data economy.'"
* [We can do better than selling our data](http://blogs.harvard.edu/doc/2018/09/18/data/)-Doc Searls(*IIW*)
