---
title: Bitcoin Identity Standards and Applications
layout: single
classes: wide
toc: false
---
![](https://i.imgur.com/q32lAXY.png)

## Contents

* [BTCR](#btcr)
* [RWoT BTCR](#rwot-btcr)
* [Bitnation](#bitnation)
* [Spidchain](#spidchain)


### BTCR
* <a href="https://github.com/w3c-ccg/didm-btcr" target="_blank">/w3c-ccg/didm-btcr</a> - WORK ITEM: BTCR DID Method Spec
* did:btcr:      - [BTCR DID Method](https://w3c-ccg.github.io/didm-btcr/) 
  * The Bitcoin Reference DID method (did:btcr) supports DIDs on the public Bitcoin blockchain. The Bitcoin Reference method has minimal design goals: a DID trust anchor based on the Bitcoin blockchain, updates publicly visible and auditable via Bitcoin transactions, and optionally, additional DID Document information referenced in the transaction OP_RETURN data field. No other Personal Identifiable Information (PII) would be placed on the immutable blockchain.
  * [btcr tx conversion playground](https://weboftrustinfo.github.io/btcr-tx-playground.github.io/) 
  

### RWot BTCR

* <a href="https://github.com/WebOfTrustInfo/btcr-tx-playground.github.io" target="_blank">/WebOfTrustInfo/btcr-tx-playground.github.io</a>
* <a href="https://github.com/WebOfTrustInfo/btcr-did-tools-js" target="_blank">/WebOfTrustInfo/btcr-did-tools-js</a>
* <a href="https://github.com/WebOfTrustInfo/btcr-hackathon" target="_blank">/WebOfTrustInfo/btcr-hackathon</a> - Virtual hackathon to create spec and code for Bitcoin-based Decentralized Identifiers (DIDs)


## Bitnation

* [Bitnation taps Blockchain tech to aid Refugees](https://www.newsbtc.com/2015/09/09/bitnation-taps-blockchain-tech-to-aid-refugees/)[[**^**](#Bitnation-and-the-United-Nations)]
* [BTCR DID Method](https://w3c-ccg.github.io/didm-btcr/) — The Bitcoin Reference DID method (did:btcr) supports DIDs on the public Bitcoin blockchain. The Bitcoin Reference method has minimal design goals: a DID trust anchor based on the Bitcoin blockchain, updates publicly visible and auditable via Bitcoin transactions, and optionally, additional DID Document information referenced in the transaction OP_RETURN data field. No other Personal Identifiable Information (PII) would be placed on the immutable blockchain.

## Spidchain

* [Spidchain](http://www.spidchain.com/) [[**wp**](https://drive.google.com/file/d/0B89WE3IIHmy1Z0ZSSWVmVEtaaG8/view)]
   * "offers a platform for self-sovereign identity, including desktop and mobile apps for end-users. It uses Decentralized Identifiers (DIDs) - backed by optionally Bitcoin or Ethereum - to implement a marketplace for verifiable claims. The Spidchain applications allow individuals to create, recover, and revoke DIDs, to authenticate, to sign and verify files and claims, and more."
   
### Spidchain Bitcoin Repos
* <a href="https://github.com/SpidChain/spidchain-btcr" target="_blank">/SpidChain/spidchain-btcr</a> - An implementation of the btcr standard for self sovereign distributed digital identity
* <a href="https://github.com/SpidChain/electrumx" target="_blank">/SpidChain/electrumx</a> Forked from kyuupichan/electrumx
  - Alternative implementation of spesmilo/electrum-server
* <a href="https://github.com/SpidChain/btcr-spv" target="_blank">/SpidChain/btcr-spv</a> - Poc of an SPV implementation of BTCR
* <a href="https://github.com/SpidChain/satoshis-wheel-of-fortune" target="_blank">/SpidChain/satoshis-wheel-of-fortune</a> - Pick a name from a list randomly in a provably honest way
* <a href="https://github.com/SpidChain/txref-conversion-js" target="_blank">/SpidChain/txref-conversion-js</a> - Forked from WebOfTrustInfo/txref-conversion-js
  - Javascript library for converting txids to txrefs and back


