---
title: BCGov's Verifiable Organizations Network 
layout: single
permalink: indy-ecosystem/von
redirect_from:
  - id-initiatives/indy-ecosystem/von.html
sidebar:
  title: DIDecentralized
  nav: "sovnav"  
---


>VON's founding members are governments who are, by law, trusted issuers of data about organizations. The Province of British Columbia, Province of Ontario and the Government of Canada have come together to create the initial services needed to establish VON. 
>
>VON's founders have delivered new Indy-based open source components which form VON's backbone. TheOrgBook is a publicly accessible repository of verifiable claims about organizations. VON-X enables services to verify and issue credentials. - [A Production Government Deployment of Hyperledger Indy- John Jordan, Stephen Curran.](https://hgf18.sched.com/event/G8rm/verifiable-organizations-network-a-production-government-deployment-of-hyperledger-indy-john-jordan-province-of-british-columbia-stephen-curran-cloudcompass-computing-inc)

## Contents

* [VON](#von)
* [BCGov Github](#bcgov-github)
* [BCGov - VON](#bcgov---von)
  * [VON - Agents](#von-agents)
  * [BCGov - DID-Auth](#bcgov---did-auth)
  * [PSPC-SPAC-buyandsell](#pspc-spac-buyandsell) - Public Services and Procurement Canada
* [History](#history)


## VON

![](https://i.imgur.com/0Mr3YMn.pnghttps://i.imgur.com/CvQnRZ2.png)

* [Verified Organization Network](https://vonx.io/) [[**G**](https://github.com/bcgov/von)] [[**D**](https://vonx.io/getting_started/von-overview/)] [[**ϟ**](https://www.iaca.org/wp-content/uploads/VON-Using-Blockchain-Technology.pdf)] [[**>**](#Canada)]
  * "an initiative by the government of British Columbia to create a trusted network of organizational data. It allows organizations to claim credentials that are part of their own digital identity, using a component called [TheOrgBook](https://theorgbook.pathfinder.gov.bc.ca/en/home)[[**G**](https://github.com/bcgov/theorgbook)] that lists entities with their associated public verifiable claims.
* [Pan-Canadian Trust Framework](https://github.com/canada-ca/PCTF-CCP)
* [Demonstrating the Verifiable Organizations Network (VON)](https://docs.google.com/document/d/1wNnXdQKUtWnx--xw3VQ9Fr2TDa0kUNIBSMmFGR4uoMg/edit#heading=h.kphtj2c176xb)
* [BC.gov Verifiable Organizations Network Demo](https://drive.google.com/open?id=1Ms2vKqTe-jVDpz5eWtQIqIz8Jl6TLbSE) (video)
* [VON’s Blockchain Basis](https://vonx.io/getting_started/vons-blockchain-basis/)
* [Getting Started with Hyperledger Indy](https://cdn.oreillystatic.com/en/assets/1/event/274/Getting%20started%20with%20Hyperledger%20Indy%20Presentation.pdf)
* [BCGov Verifiable Organization Network – Impressive Client Demo](https://www.continuumloop.com/bcgov-verifiable-organization-network/)
* [bcdevexchange.org/opportunities](https://bcdevexchange.org/opportunities)
* [BCovrin](http://138.197.138.255/) - Indy TestNet
* [ssimeetup- Overview of Proposed Pan Canadian Trust Framework](https://ssimeetup.org/overview-proposed-pan-canadian-trust-framework-ssi-tim-bouma-webinar-19/) 1\19
>The Government of British Columbia and the Government of Ontario have already rolled out a production system using the Sovrin Network for business registration and licensing; together they've issued over 6 million credentials, according to Windley. - [How Blockchain may Kill the Password](https://www.computerworld.com/article/3329962/blockchain/how-blockchain-may-kill-the-password.amp.html)

## BCGov Github 

* <a href="https://github.com/bcgov/BC-Policy-Framework-For-GitHub" target="_blank">/bcgov/BC-Policy-Framework-For-GitHub</a> - Policy information for BC Government employees using GitHub
* <a href="https://github.com/bcgov/design-system" target="_blank">/bcgov/design-system</a> - British Columbia Government Design System for Digital Services

### BCGov - VON 
* <a href="https://github.com/bcgov/TheOrgBook" target="_blank">/bcgov/TheOrgBook</a> - A public repository of verifiable claims about organizations. A key component of the Verifiable Organization Network.
* <a href="https://github.com/bcgov/von" target="_blank">/bcgov/von</a> - Verifiable Organizations Network
* <a href="https://github.com/bcgov/von-connector" target="_blank">/bcgov/von-connector</a> - Verifiable Organization Network Connector
* <a href="https://github.com/bcgov/von-network" target="_blank">/bcgov/von-network</a> - A portable development level Indy Node network.
* <a href="https://github.com/bcgov/von-ledger-explorer" target="_blank">/bcgov/von-ledger-explorer</a> - The VON Ledger Explorer
* <a href="https://github.com/bcgov/dFlow" target="_blank">/bcgov/dFlow</a> - A demonstration of the verifiable organization network showing a new restaurant gathering the permits necessary to open.

### VON - Indy 

* <a href="https://github.com/bcgov/indy-catalyst" target="_blank">/bcgov/indy-catalyst</a> - Hyperledger Indy Catalyst is a set of application level software components designed to accelerate the adoption of trustworthy entity to entity communications.
* <a href="https://github.com/bcgov/indy-sdk-postgres-storage" target="_blank">/bcgov/indy-sdk-postgres-storage</a> - PostgreSQL plug-in for use with the indy-sdk

### VON - Agents 

* <a href="https://github.com/bcgov/von-personal-agent" target="_blank">/bcgov/von-personal-agent</a> - A personal agent for the von network.
* <a href="https://github.com/bcgov/VON-ESB-DRS-Agent" target="_blank">/bcgov/VON-ESB-DRS-Agent</a> - Piloting the Dispute Resolution Suite with connections to the OrgBook
* <a href="https://github.com/bcgov/von-agent-template" target="_blank">/bcgov/von-agent-template</a> - Template for a von-x based agent
* <a href="https://github.com/bcgov/von-bc-registries-agent" target="_blank">/bcgov/von-bc-registries-agent</a>
* <a href="https://github.com/bcgov/von_agent" target="_blank">/bcgov/von_agent</a> Forked from PSPC-SPAC-buyandsell/von_agent - VON agents using indy-sdk


### BCGov - DID-Auth 
* <a href="https://github.com/bcgov/did-auth-extension" target="_blank">/bcgov/did-auth-extension</a> - DID Auth browser extension.
* <a href="https://github.com/bcgov/http-did-auth-proxy" target="_blank">/bcgov/http-did-auth-proxy</a> - DID Auth HTTP proxy.
* <a href="https://github.com/bcgov/did-auth-relying-party" target="_blank">/bcgov/did-auth-relying-party</a> - DID Auth relying party.

### /PSPC-SPAC-buyandsell 
Public Services and Procurement Canada: buyandsell.gc.ca --- Services publics et Approvisionnement Canada : Achatsetventes.gc.ca

* <a href="https://github.com/PSPC-SPAC-buyandsell/von_tails" target="_blank">/PSPC-SPAC-buyandsell/von_tails</a> - Tails file server for von_anchor issuer and holder-prover anchors
* <a href="https://github.com/PSPC-SPAC-buyandsell/von_base" target="_blank">/PSPC-SPAC-buyandsell/von_base</a>
* <a href="https://github.com/PSPC-SPAC-buyandsell/von_anchor" target="_blank">/PSPC-SPAC-buyandsell/von_anchor</a> - VON anchor classes for interaction with sovrin/indy ledger via indy-sdk
* <a href="https://github.com/PSPC-SPAC-buyandsell/von-image" target="_blank">/PSPC-SPAC-buyandsell/von-image</a> - Standard docker images for building VON components
* <a href="https://github.com/PSPC-SPAC-buyandsell/von-x" target="_blank">/PSPC-SPAC-buyandsell/von-x</a> - VON-X is a Python library enabling rapid deployment of Hyperledger Indy credential issuer, holder, and verifier services, particularly for integration with TheOrgBook.
* <a href="https://github.com/PSPC-SPAC-buyandsell/didauth" target="_blank">/PSPC-SPAC-buyandsell/didauth</a> - DID authentication by way of HTTP Signatures for Hyperledger Indy agents
* <a href="https://github.com/PSPC-SPAC-buyandsell/von_agent" target="_blank">/PSPC-SPAC-buyandsell/von_agent</a> - VON agents using indy-sdk
* <a href="https://github.com/PSPC-SPAC-buyandsell/von_connector" target="_blank">/PSPC-SPAC-buyandsell/von_connector</a> - service wrapper API per agent, via django application
* <a href="https://github.com/PSPC-SPAC-buyandsell/ReferenceVonActuator" target="_blank">/PSPC-SPAC-buyandsell/ReferenceVonActuator</a> - Java implementation of actuator of reference von_connector implementation
* <a href="https://github.com/PSPC-SPAC-buyandsell/von_conx" target="_blank">/PSPC-SPAC-buyandsell/von_conx</a> - Reference implementation (sample) for a VON Connector using tools of VON_X
* <a href="https://github.com/PSPC-SPAC-buyandsell/demo-agent" target="_blank">/PSPC-SPAC-buyandsell/demo-agent</a> - agent and api wrapper code base



## History 

[![](https://i.imgur.com/Pd6Z2Cf.png)](https://docs.google.com/presentation/d/189DxjNv7EE7KtjkidB6EpwuvO2lIy7kEL-3DWtMAiQg/edit)
[Treasury Board Identity Management Policy and Pan-Canadian Trust Framework — Identity Management Policy Workshop](https://docs.google.com/presentation/d/189DxjNv7EE7KtjkidB6EpwuvO2lIy7kEL-3DWtMAiQg/edit)

* [Pan Canadian Trust Framework](https://diacc.ca/2016/08/11/pctf-overview/) - 2016

