---
title: Identity Articles, Research and Literature
layout: single
---


## Contents

* [Literature](#literature)
* [Reports](#reports)
* [Decentralized Public Key Infrastructure DPKI](#decentralized-public-key-infrastructure-dpki)
* [Rebooting Web of Trust -Directory](#rebooting-web-of-trust)
* [Assorted Thought Around Identity](#assorted-thought-around-identity)
* [>> Sovrin Related Literature](/id-initiatives/indy-ecosystem/literature/)


## Literature

* [Security without Identification: Transaction Systems to make Big Brother Obsolete](https://www.cs.ru.nl/~jhh/pub/secsem/chaum1985bigbrother.pdf) - David Chaum 1985
* [Establishing Identity Without Certification Authorities](https://irl.cs.ucla.edu/~yingdi/pub/papers/Ellison-OldFriend-USENIX-Security-1996.pdf)
* [A First Look at Identity Management Schemes on the Blockchain](https://arxiv.org/pdf/1801.03294.pdf)
* [ChainAnchor — Anonymous Identities for Permissioned Blokchains](http://connection.mit.edu/wp-content/uploads/sites/29/2014/12/Anonymous-Identities-for-Permissioned-Blockchains2.pdf)
* [Decentralizing Privacy: Using Blockchain to Protect Personal Data](http://web.media.mit.edu/~guyzys/data/ZNP15.pdf)
* [Towards Self-Sovereign Identity using Blockchain Technology](https://essay.utwente.nl/71274/1/Baars_MA_BMS.pdf)
* [Self-sovereign Identity –	Opportunities and Challenges for the Digital Revolution](https://arxiv.org/pdf/1712.01767.pdf)
* [The Knowledge Complexity Of Interactive Proofs](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.419.8132&)
* [A Conceptual Analysis on Sovrin](https://www.researchgate.net/publication/323144927_A_Conceptual_Analysis_on_Sovrin)
* [Blockchain for Identity Management](https://www.cs.bgu.ac.il/~frankel/TechnicalReports/2016/16-02.pdf) - Details early efforts towards Blockchain-ID
* [Matching Identity Management Solutions to Self Sovereign Identity Solutions](https://www.slideshare.net/TommyKoens/matching-identity-management-solutions-to-selfsovereign-identity-principles)
* [OIX White Paper: Trust Frameworks for Identity Systems](https://www.oixnet.org/news-whitepaper/)
* [WEF The Known Traveller Digital Identity Concept](http://www3.weforum.org/docs/WEF_The_Known_Traveller_Digital_Identity_Concept.pdf)

## Reports
* [EU BLOCKCHAIN OBSERVATORY AND FORUM — Workshop Report — e-Identity, Brussels, November 7, 2018](https://www.eublockchainforum.eu/sites/default/files/reports/workshop_5_report_-_e-identity.pdf)
* [A Comprehensive Evaluation of the Identity Management Utility Sovrin](https://dutchblockchaincoalition.org/uploads/pdf/Blockchain-Sovrin-rapport.pdf)
* [How Blockchain Revolutionizes Identity Management](https://www.accenture-insights.nl/en-us/articles/how-blockchain-will-revolutionize-identity-management)
* [Digital Identity: the current state of affairs](https://www.bbvaresearch.com/wp-content/uploads/2018/02/Digital-Identity_the-current-state-of-affairs.pdf)
* [Blockchain: Evolving Decentralized Identity Design](https://www.gartner.com/doc/3834863/blockchain-evolving-decentralized-identity-design)
* [IDENTITY MATTERS](https://cboxxtest.files.wordpress.com/2017/09/cboxxidentitymatters04.pdf)
* [Accenture: ID2020: DIGITAL IDENTITY with Blockchain and Biometrics](https://www.accenture.com/us-en/insight-blockchain-id2020)
* [Privacy-Preserving Authentication, Another Reason to Care about Zero-Knowledge Proofs —slideshare](https://www.slideshare.net/eralcnoslen/privacypreserving-authentication-another-reason-to-care-about-zeroknowledge-proofs)
* [r3- Identity in Depth](https://www.r3.com/wp-content/uploads/2017/06/Identity_indepth_r3.pdf)
* [Global Blockchain Identity Management Market 2018-2022](https://www.technavio.com/report/global-blockchain-identity-management-market-analysis-share-2018)
* [A Comprehensive Guide to Self Sovereign Identity](https://ssiscoop.com/) - by Kaliya ['Identity Woman'](https://twitter.com/IdentityWoman) Young and [Heather Vescent](https://twitter.com/heathervescent) [[**ϟ**](https://www.thepaypers.com/expert-opinion/10-things-you-need-to-know-about-self-sovereign-identity-part-1/774556)]
* [Report launch: ‘Identity at the Margins — identification systems for refugees”](https://medium.com/caribou-digital/report-launch-identity-at-the-margins-identification-systems-for-refugees-69466244fa62)
* [WEF: Identity in a Digital World A new chapter in the social contract](http://www3.weforum.org/docs/WEF_INSIGHT_REPORT_Digital%20Identity.pdf)

## Bundlesblok Position Paper

* [A position paper on blockchain enabled identity and the road ahead](https://www.bundesblock.de/wp-content/uploads/2018/10/ssi-paper.pdf)—Identity Working Group of the German Blockchain Association [[**ϟ**](https://www.bundesblock.de/2018/10/23/position-paper-self-sovereign-identity/)]
  >### Appendix VII – Pilot Projects and Proof of Concepts
  >
  >The provided list of pilot projects and proof of concepts is only preliminary, as the number of projects grows quickly.
  >
  >**TheOrgBook (British Columbia - Canada)**
  >
  >The Province of British Columbia is currently collaborating with the Province of Ontario and the Canadian Federal Government to provide verified digital claims about businesses. 
  >
  >The Verified Organization Network is an initiative by the government of British Columbia to create a trusted network of organizational data. It allows organizations to claim credentials that are part of their own digital identity, using a component called TheOrgBook that lists entities with their associated public verifiable claims. In this project businesses and their representatives are given access to streamlined government services and digital transactions in the broader economy.
  >
  > **TrustNet (Finland)**
  >
  > TrustNet is a heavily industry-networked research project that focuses on developing a blockchain-based distributed environment for personal data management following the MyData principles. Such an environment is the cornerstone for functional personal data markets as it allows individuals to control the flow of their personal data across companies and industries and creates the foundational building blocks for creating new personal data-centric services.
  >
  > **Alastria (Spain)**
  >
  > Alastria is a non-profit consortium building a national blockchain ecosystem for Spain. The security and veracity of information will be ensured through the identification of natural and legal persons, while at the same time allowing citizens to have control over their personal information in a transparent way following the guidelines set by the European Union.
  >
  > **Illinois blockchain initiative (United States of America)**
  >
  > The Illinois Blockchain Initiative is partnering with Evernym to develop a birth registry pilot, where self-sovereign identities are created, and government agencies issue "verifiable claims" for birth registration attributes such as legal name, date of birth, sex or blood type. 
  >
  > **Blockchain on the Move (Antwerp, Belgium)**
  >
  > As a cooperation project between the city of Antwerp, the Flemish Information Agency, Digipolis and the Flemish ICT organization (V-ICT-OR), the project Blockchain on the Move is a pilot project on SSI and its application on the municipal level. It explores the potential of SSI for e-Government use cases and State-issued credentials for private sector B2B and B2C use cases.
  >
  > **City of Zug (UPort and ti&m)**
  >
  > As a first pilot project in Switzerland, the city of Zug is currently piloting a SSI solution. The local administration is cooperating with the IT consulting company ti&m, as well as UPort to provide a basic infrastructure for their citizens to attest their identity. With the SSI implemented in Zug, users can now pay their parking fees, register for elections or perform online sign on for e-government services33. The benefits range for the city of Zug are low infrastructure requirements, decreased security risks, cost effectiveness, GDPR compliance and scalability.
  >
  > **Danube Tech (Austria)**
  >
  >In a SSI proof-of-concept during the first half of 2018, 3 banks, an insurance company, the Austrian Post, and an institution representing notaries has cooperated to implement a range of use cases based on DIDs, Verifiable Credentials, Sovrin, and the XDI protocol. The use cases included:
  > * digital ID onboarding for existing clients,
  > * SSO for new clients,
  > * sharing of KYC data between organizations,
  > * dynamic data verification (change-of-address),
  > * secure communication (e-mail with ID confirmation),
  > * change of identity service providers,
  > * personal ID verification in a peer-to-peer marketplace
  >
  > 28 https://github.com/bcgov/von accessed 30 September 2018\
  > 29 https://github.com/bcgov/theorgbook accessed 30 September 2018\
  > 30 http://trustnet.fi/ accessed 30 September 2018\
  > 31 https://alastria.io/#1 accessed 30 September 2018\
  > 32 https://illinoisblockchain.tech/ accessed 30 September 2018\
  > 33 https://medium.com/uport/zug-id-exploring-the-first-publicly-verified-blockchain-identity-38bd0ee3702



## Decentralized Public Key Infrastructure DPKI
* RWoT—[Decentralized Public Key Infrastructure](https://github.com/WebOfTrustInfo/rebooting-the-web-of-trust/blob/master/final-documents/dpki.pdf)
* [SCPKI: A Smart Contract-based PKI and Identity System](http://www0.cs.ucl.ac.uk/staff/M.AlBassam/publications/scpki-bcc17.pdf)
* [KeyChains: A Decentralized Public-Key Infrastructure](https://drum.lib.umd.edu/bitstream/handle/1903/3332/0.pdf?sequence=1&isAllowed=y)
* [ClaimChain: Decentralized Public Key Infrastructure](https://www.researchgate.net/publication/318584251_ClaimChain_Decentralized_Public_Key_Infrastructure)
* [A Decentralized Public Key Infrastructure with Identity Retention](https://eprint.iacr.org/2014/803.pdf)
* [Privacy based decentralized Public Key Infrastructure
(PKI) implementation using Smart contract in
Blockchain](https://isrdc.iitb.ac.in/blockchain/workshops/2017-iitb/papers/paper-11%20-%20Decentralized%20PKI%20in%20blockchain%20and%20Smart%20contract.pdf)

### Rebooting Web of Trust

[**>> Rebooting Web of Trust - "complete" Papers, Topics and Advance Readings >>**](rebooting-web-of-trust.md)
* [Selected RWoT Whitepapers](rebooting-web-of-trust.md#selected-rebooting-web-of-trust-whitepapers)
  * [Primers](rebooting-web-of-trust.md#primers)
  * [RWoT Workshop Related](rebooting-web-of-trust.md#rwot-workshop-related)
  * [Use Cases](rebooting-web-of-trust.md#use-cases) 
* [Completed Papers](rebooting-web-of-trust.md#completed-papers)
  * [Rebooting the Web of Trust I](rebooting-web-of-trust.md#rebooting-the-web-of-trust-i)
  * [Rebooting the Web of Trust II - ID2020](rebooting-web-of-trust.md#rebooting-the-web-of-trust-ii---id2020)
  * [Rebooting the Web of Trust III](rebooting-web-of-trust.md#rebooting-the-web-of-trust-iii)
  * [Rebooting the Web of Trust IV](rebooting-web-of-trust.md#rebooting-the-web-of-trust-iv)
  * [Rebooting the Web of Trust V](rebooting-web-of-trust.md#rebooting-the-web-of-trust-v)
  * [Rebooting the Web of Trust VI](rebooting-web-of-trust.md#rebooting-the-web-of-trust-vi)
  * [Rebooting the Web of Trust VII](rebooting-web-of-trust.md#rebooting-the-web-of-trust-vii)
* [Topics and Advance Readings](#topics-and-advance-readings)
  * [RWoT 1](#rwot-1)
  * [RWoT 2](#rwot-id2020)
  * [RWoT 3](#rwot-3)
  * [RWoT 4](#rwot-4)
  * [RWoT 5](#rwot-5)
  * [RWoT 6](#rwot-6)
  * [RWoT 7](#rwot-7)

## Additional Thought around Identity
* [Is putting hashed PII on any immutable ledger(blockchain) is a bad Idea](https://identitywoman.net/putting-hashed-pii-immutable-ledgerblockchain-bad-idea/)
* [Decentralized Identity Trilemma](http://maciek.blog/decentralized-identity-trilemma/)
   >There seems to exist a trilemma in decentralized identity analogous to @Zooko's triangle. None of the existing solutions are at the same time: 1) privacy-preserving, 2) Sybil-resistant 3) self-sovereign -[[**T**](https://twitter.com/MaciekLaskus/status/1031859093072424960)]
   * [Maciek Laskus - BLOCKWALKS](https://www.youtube.com/watch?v=KAgJpQfQXxs) (video)
   * "I designed an algorithm that mapped out people [working on identity](https://twitter.com/MaciekLaskus/status/1066780557906976768) using Twitter data:" [Identity list](https://docs.google.com/spreadsheets/d/1hBBVA0-jqmRRZ_JFQ8HEck9tFub7crsqRzlBZWf01xg/edit?usp=sharing)
* [Proof of Thought (PoT)](https://bitcointalk.org/index.php?topic=4459113.0)
* [Queer Privacy](https://leanpub.com/queerprivacy)
   >Stories about using the Internet as a tool to find out more about yourself, and as a tool to express and empower; about the dangers of Internet censorship and about the practical realities of maintaining multiple distinct digital identities. 
* [@SarahJamieLewis Twitter thread on Identity](https://twitter.com/SarahJamieLewis/status/1041043532654542848)
   >Any technology which relies on the existence of, or attempts to create a, global, unique identity is oppressive by design. Stop" innovating" oppressive structures.

